=== modified file 'client/drizzledump_data.cc'
--- client/drizzledump_data.cc	2010-10-28 20:30:22 +0000
+++ client/drizzledump_data.cc	2010-11-02 10:28:05 +0000
@@ -379,6 +379,9 @@
   std::ostringstream output;
   if (from_size > 0)
     output << "0x";
+  else
+    output << "''";
+
   while (from_size > 0)
   {
     /* Would be nice if std::hex liked uint8_t, ah well */

=== modified file 'client/drizzledump_mysql.cc'
--- client/drizzledump_mysql.cc	2010-10-28 20:31:14 +0000
+++ client/drizzledump_mysql.cc	2010-11-02 10:28:05 +0000
@@ -184,25 +184,23 @@
     DrizzleDumpFieldMySQL *field = new DrizzleDumpFieldMySQL(fieldName, dcon);
     /* Stop valgrind warning */
     field->convertDateTime= false;
+    field->isNull= (strcmp(row[3], "YES") == 0) ? true : false;
     /* Also sets collation */
     field->setType(row[1], row[8]);
     if (field->type.compare("ENUM") == 0)
       field->isNull= true;
-    else
-      field->isNull= (strcmp(row[3], "YES") == 0) ? true : false;
+
     if (row[2])
     {
       field->defaultValue= row[2];
+      if (field->convertDateTime)
+      {
+        field->dateTimeConvert();
+      }
     }
     else
      field->defaultValue= "";
 
-    if (field->convertDateTime)
-    {
-      field->dateTimeConvert();
-    }
-
-
     field->isAutoIncrement= (strcmp(row[8], "auto_increment") == 0) ? true : false;
     field->defaultIsNull= field->isNull;
     field->length= (row[4]) ? boost::lexical_cast<uint32_t>(row[4]) : 0;
@@ -248,7 +246,6 @@
     defaultIsNull= true;
     defaultValue="";
   }
-  isNull= true;
 }
 
 
@@ -480,6 +477,7 @@
     /* Intended to catch TIME/DATE/TIMESTAMP/DATETIME 
        We may have a default TIME/DATE which needs converting */
     convertDateTime= true;
+    isNull= true;
   }
 
   if ((old_type.compare("TIME") == 0) or (old_type.compare("YEAR") == 0))

